/*************************************************************************
Title:    testing output to a HD44780 based LCD display.
Author:   Peter Fleury  <pfleury@gmx.ch>  http://jump.to/fleury
File:     $Id: test_lcd.c,v 1.6 2004/12/10 13:53:59 peter Exp $
Software: AVR-GCC 3.3
Hardware: HD44780 compatible LCD text display
          ATS90S8515/ATmega if memory-mapped LCD interface is used
          any AVR with 7 free I/O pins if 4-bit IO port mode is used
**************************************************************************/
#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#include "USART/uart.h"
#include "main.h"

/* 9600 baud */
//#define F_CPU 8000000UL

#define UART_BAUD_RATE      9600

#include <util/delay.h>

#include "LCD/mc_lcd.h"

int main(void)
{
	uart_init( UART_BAUD_SELECT(UART_BAUD_RATE,F_CPU) );
	sei();
	uart_puts("UART init\n");
	
	_delay_ms(1000);
	
	// 	// Initialisierung des LCD
	// 	// Nach der Initialisierung mssen auf dem LCD vorhandene schwarze Balken
	// 	// verschwunden sein
	//
	
	lcd_init();
	uart_puts("LCD init done\n");
	
	//
	// 	// Text in einzelnen Zeichen ausgeben
	 	lcd_data( 'T' );	uart_puts("T\n");
	 	lcd_data( 'e' );	uart_puts("e\n");
	 	lcd_data( 's' );	uart_puts("s\n");
	 	lcd_data( 't' );	uart_puts("t\n");
	//
	// 	// Die Ausgabemarke in die 2te Zeile setzen
	// 	lcd_setcursor( 0, 2 ); uart_puts("cursor reset\n");
	//
	// 	// erneut Text ausgeben, aber diesmal komfortabler als String
	// 	lcd_string("Hello World!");  uart_puts("Hello World\n");
	//
	while(1)
	{
	}
	
	return 0;
}